Bug 4067 - written file is defect
written file is defect
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.23b
x86 Windows XP
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-28 15:26 UTC by Dieter Ferdinand
Modified: 2011-06-22 19:04 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dieter Ferdinand 2006-08-28 15:26:11 UTC
hello,
since i make some changes to my configuration, all files, which i write from specific programm to the server, are defect.

i make some checks at the first time, i have this problem with an older version of samba, that the last writeoperation to the files are not in the files, they are lost.

today, i must see the same problem with the new samba-version.

i try to find out why and find this.

i write an avi-file with virtualdub to the server and find this:
[2006/08/28 22:03:03, 0] libsmb/smb_signing.c:srv_check_incoming_message(661)
  srv_check_incoming_message: BAD SIG: seq 5678 got SMB signature of
[2006/08/28 22:03:03, 0] libsmb/smb_signing.c:srv_check_incoming_message(673)
  srv_check_incoming_message: out of seq. seq num 5677 matches. We were expecting seq 5678
[2006/08/28 22:03:03, 0] libsmb/smb_signing.c:signing_good(232)
  signing_good: BAD SIG: seq 5678
[2006/08/28 22:03:03, 0] lib/util_sock.c:receive_smb(741)
  receive_smb: SMB Signature verification failed on incoming packet!
[2006/08/28 22:03:03, 1] smbd/service.c:close_cnum(1141)
  p3-550 (192.168.1.7) closed connection to service sdc2

the version 3.0.23 crash at the end of the file and 3.0.23b write defect files.
i try with signing = off and not auto in the configuration file and i have no more errors.

it seems, this bug is only, if i use "server signing = auto" in combination with winxp and virtualdub.

with the old samba-version (2.x or 3.x i don't remember) this problem is only with winxp, with my older win2000-system, i don't have such problems before.
i make many test with the older samba-version and only, if i use virtualdub to write the file, i have this problem. with other applications and files or if i copy the avi-files, no problem, all files are ok.

i hope, you can reproduce this error on your system with the same programs.

goodby
Comment 1 Jeremy Allison 2006-08-28 17:22:23 UTC
I think this is a bug we've fixed for 3.0.23c.
Jeremy.
Comment 2 Björn Jacke 2011-06-22 19:04:08 UTC
probably fixed long time ago